Package org.apache.storm.testing

# Class PythonShellMetricsBolt

java.lang.Object
org.apache.storm.task.ShellBolt
org.apache.storm.testing.PythonShellMetricsBolt

All Implemented Interfaces:
  `Serializable`, `IBolt`, `IComponent`, `IRichBolt`

public class PythonShellMetricsBolt extends ShellBolt implements IRichBolt

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.storm.task.ShellBolt

  `HEARTBEAT_STREAM_ID, LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PythonShellMetricsBolt(String[] args)`
  `PythonShellMetricsBolt(String command, String file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `declareOutputFields(OutputFieldsDeclarer declarer)`
  Declare the output schema for all the streams of this topology.
  `Map<String,Object>`
  `getComponentConfiguration()`
  Declare configuration specific to this component.
  `void`
  `prepare(Map<String,Object> topoConf, TopologyContext context, OutputCollector collector)`
  Called when a task for this component is initialized within a worker on the cluster.

  ### Methods inherited from class org.apache.storm.task.ShellBolt

  `changeChildCWD, cleanup, execute, setEnv, shouldChangeChildCWD`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.task.IBolt

  `cleanup, execute`

- ## Constructor Details

  - ### PythonShellMetricsBolt

    public PythonShellMetricsBolt(String[] args)

  - ### PythonShellMetricsBolt

    public PythonShellMetricsBolt(String command, String file)

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> topoConf, TopologyContext context, OutputCollector collector)
    Description copied from interface: `IBolt`
    Called when a task for this component is initialized within a worker on the cluster. It provides the bolt with the environment in which the bolt executes.

    This includes the:

    Specified by:
      `prepare` in interface `IBolt`
    Overrides:
      `prepare` in class `ShellBolt`
    Parameters:
      `topoConf` - The Storm configuration for this bolt. This is the configuration provided to the topology merged in with cluster configuration on this machine.
      `context` - This object can be used to get information about this task's place within the topology, including the task id and component id of this task, input and output information, etc.
      `collector` - The collector is used to emit tuples from this bolt. Tuples can be emitted at any time, including the prepare and cleanup methods. The collector is thread-safe and should be saved as an instance variable of this bolt object.

  - ### declareOutputFields

    public void declareOutputFields(OutputFieldsDeclarer declarer)
    Description copied from interface: `IComponent`
    Declare the output schema for all the streams of this topology.
    Specified by:
      `declareOutputFields` in interface `IComponent`
    Parameters:
      `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

  - ### getComponentConfiguration

    public Map<String,Object> getComponentConfiguration()
    Description copied from interface: `IComponent`
    Declare configuration specific to this component. Only a subset of the "topology.*" configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`
    Specified by:
      `getComponentConfiguration` in interface `IComponent`